# ShoppingApp
> **_INFO:_**  Shopping list project with Spring Boot and REST 

## Table of Contents
1. [Run Application (MAVEN)](#run-application-maven)
2. [Run Application (DOCKER)](#run-application-docker)
3. [How to use Application](#how-to-use-application)

## Run Application (MAVEN)
Clone Repository:
```sh
git clone https://transfer.hft-stuttgart.de/gitlab/kebidge/shopping-app.git
```
Build Application:
```sh
mvn clean package
```
Run Spring-Boot Application:
```sh
mvn spring-boot:run
```
Application starts on port `8181`. Open in Browser:
```sh
localhost:8181
```

## Run Application (DOCKER)
Run Docker Image
```sh
docker run -p 8181:8181 kebidge/shopping-app:jib
```
Application starts on port `8181`. Open in Browser:
```sh
localhost:8181
```

### Image Details
tbd.

## How to use Application
tbd.


[//]: # (reference links)

   [Google Jib]: <https://cloud.google.com/java/getting-started/jib>